org.apache.avro

## Enum SchemaCompatibility.SchemaCompatibilityType

- java.lang.Object
- - java.lang.Enum<SchemaCompatibility.SchemaCompatibilityType>
  - - org.apache.avro.SchemaCompatibility.SchemaCompatibilityType

All Implemented Interfaces:
  Serializable, Comparable<SchemaCompatibility.SchemaCompatibilityType>

Enclosing class:
  SchemaCompatibility

    public static enum SchemaCompatibility.SchemaCompatibilityType
    extends Enum<SchemaCompatibility.SchemaCompatibilityType>

Identifies the type of a schema compatibility result.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPATIBLE`
`INCOMPATIBLE`
`RECURSION_IN_PROGRESS` Used internally to tag a reader/writer schema pair and prevent recursion.

### Method Summary

All Methods Static Methods Concrete Methods
`static SchemaCompatibility.SchemaCompatibilityType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SchemaCompatibility.SchemaCompatibilityType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPATIBLE

    public static final SchemaCompatibility.SchemaCompatibilityType COMPATIBLE

#### INCOMPATIBLE

    public static final SchemaCompatibility.SchemaCompatibilityType INCOMPATIBLE

#### RECURSION_IN_PROGRESS

    public static final SchemaCompatibility.SchemaCompatibilityType RECURSION_IN_PROGRESS

Used internally to tag a reader/writer schema pair and prevent recursion.

### Method Detail

#### values

    public static SchemaCompatibility.SchemaCompatibilityType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SchemaCompatibility.SchemaCompatibilityType c : SchemaCompatibility.SchemaCompatibilityType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SchemaCompatibility.SchemaCompatibilityType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null